Jump to content
tzframpton

Participation Required: Post up your "weird" custom setups

Recommended Posts

tzframpton

Lets see who all participates. Post up anything regarding your own personal setup in AutoCAD, mainly alterations to the PGP File, any Toolbars/Tool Palettes, or even post up screenshots of your Workspace. try to show true customization, refrain from the AutoCAD defaults, and even give reasons of why you chose the customized object/commands. I'll start....

 

Altered Keyboard Commands:

1st off, my right click is used as Enter.

 

C - COPY

CR - CIRCLE

V - LINEAR DIM

VV - QLEADER

BB - BREAK

MN - MIRRER

Q - MATCH PROPERTIES

REF - REFEDIT

RER - RECTANGLE

T - TRIM

X - EXTEND

XX - EXPLODE

S - STRETCH

D - DISTANCE

 

I use these commands a lot, and so i've trimmed them down to one or two key commands, which makes my left hand stay put on one side of the keyboard. i can get going pretty fast sometimes... :lol:

Share this post


Link to post
Share on other sites
Galingula

HOTAS (Hands on Throttle and Stick) system from an F-16 Block D.

 

It doesn't look like much, but there's over 200 button presses you can program. And the wheels can be used for zooms and pans and what not.

 

Actually quite convenient once your used to it.

 

The throttle has a thumb button on it that can be programmed to act as a mouse, but it's worse than a mouse nib on a laptop so I don't use it

 

Hotas.jpg

Share this post


Link to post
Share on other sites
Seann

The only ones I know for sure are listed in this first list but thats cause I know I changed them. Other than that I probably have alot more but becuase they have been changed for so long I don't remember what they use to be :)

Regular pgp:

c=copy

v=copy

ci=circle

d=distance

r=rectange

F4=xref manager

 

Now the fun ones:

Keytweak (program)

F1=cancel

+(numpad)='(foot symbol)

*(numpad)=+

 

Quickkey lisp:

xlv=vertical construction line

xlh=horizontal construction line

x45=45 degree construction line

x135=135 degree construction line

atr=_AECLINEWORKTRIM (AECTrim)

ze-zoom extents

1fl=turns on first floor layers

2fl=turns on second floor layers

1fle=turns on first floor elec layers

2fle=turns on second floor elec layers

xxx= purge all but layers, turn off image frame, zoom extents, close

 

Thats all for me unless I edit this...

http://webpages.charter.net/krumsick/

(keytweak homepage)

(quickkey lisp attached from dotsoft.com)

quickkey.zip

Share this post


Link to post
Share on other sites
tzframpton

nice, i like your style. this is the reason i posted this, because i think everyone can benefit by seeing how we all do things, and you never know, you might pick up a few tricks of the trade. ima check out that Keytweak. i have something similar at home, never thought about bringing it to work in conjunction with AutoCAD. :)

 

EDIT: crap, i sure wish i could set the " symbol w/o using the shift key. i could have used both the ft & in symbols in the number pad for sure. oh well....

Share this post


Link to post
Share on other sites
lpseifert

I have these in my acaddoc.lsp file, used for manipulating the UCS

(defun c:ue ()(command "ucs" "e")) ;align UCS w/ entity
(defun c:uw ()(command "ucs" "w"))
(defun c:uv ()(command "ucs" "v")) ;align UCS w/ view
(defun c:up ()(command "ucs" "p"))
(defun c:u3 ()(command "ucs" "3"))

(defun c:uo () ;in section view, sets the UCS at an elevation (Y value)
   (setq pt1 (getpoint "Pick reference point: ")
        el (RTOS(* -1.0(getreal "Enter elevation: ")))
       CO (STRCAT "0," el)
)
   (command "UCS" "o" pt1)
   (command "UCS" "o" CO)     
)
(defun C:RZ ()( COMMAND "UCS" "Z" "90")) ; rotates UCS 90 degrees

Also for "joining" 2 plines/lines

(defun C:J (/ FR)
 (setq FR (getvar "FILLETRAD"))
  (setvar "FILLETRAD" 0)
   (prompt "Select two lines to join: ")
 (command "FILLET" pause pause)
 (setvar "FILLETRAD" FR)
   (princ)
)

Also this to see certain variables at a glance

(setvar "modemacro"
               (strcat
                "TextStyle: $(getvar,textstyle)  "
                "TextHeight: $(getvar,textsize)  "
                "DimScale: $(getvar,dimscale)  "
                "DimStyle: $(getvar,dimstyle)  "
                "EdgeMode: $(getvar,edgemode) "
                "PickStyle: $(getvar,pickstyle) "
                )
           )

Share this post


Link to post
Share on other sites
Seann

We did this as a company to try and streamline the pgp files so everyone could work on anyone's computer. That lasted all of 5 minutes when we realized no one was ever going to use the same commands. If I can get a copy of our lead designers pgp I will post it. None of his commands are conventional and are all located on the left side of the keyboard and the 1st 4-5 keys ie. q,w,e,r,t and a,s,d,f and z,x,c. Very wierd but he drafts just as fast as we do.

Share this post


Link to post
Share on other sites
paulmcz

All this is always loaded:

 

Offsets by:

1 =1/8

316=3/16

2 =1/4

516=5/16

3 =3/8

716=7/16

4 =1/2

916=9/16

5 =5/8

1116=11/16

6 =3/4

1316=13/16

7 =7/8

1516=15/16

8 =1

16 =0.058

18 =0.046

20 =0.035

 

Rotate:

90 =90

180=180

270=270

 

others:

ff = offset

s = stretch

d = Dtext

dd = dimlinear

da = dimaligned

ddr= dimradius

ddc= dimdiameter

dg = dimangular

dy = lengthen_dy

zz = zoom_previous

zs = zoom scale paper space

zx = zoom e zoom s 0.95x

x = extend

qq = matchprop

q = R14 ddchprop/ddmodify

zzz= zoom p zoom w

o = dimedit "o"

ee = explode

rr = fillet filletrad 1/16

h = xline horizontal

v = xline vertical

ds = dimscale

rt = rotate

ss = osmode=45

rtt= rotate special

f = continuing fillet

mm = toggle tilemode

nn = toggle mspace/pspace

sq = draws square

df = dimfactor 10/254

ml = multileader

rra= definite ray

rc = non ortho rectangle

jm = jump (offset+erase)

ass= custom osmode setting

mp = midpoint

wr = dim text overwrite

ew = erase node points

ie = leader with ellipse head

is = leader with "s" head

iee= leader back to default

pg = purge unused groups

36 = pedit/join

uo = toggle ucsicon

ttr= trim with rectangle

fr = layfrz

ls = psltscale to 0

arl= arc length dimension

bn = split balloon

ws = fillet welding symbol

pl = perpendicular line

brr= breakline

ce= center line at midpoint between two parallel lines/plines

cce= center cross to circles

cr = center cross to rectangle

dc = selected circles new diameter

aa = draws angle iron

tu = draws rectang tubing

hss= hollow structural tubing

cx = draws round bar break

dss= copies and sets dimstyle + dimscale

q1 = inserts text+numbered leader

Share this post


Link to post
Share on other sites
tzframpton

Holy cow you are definitely a keyboard guy. i like it....

Share this post


Link to post
Share on other sites
Guest Alan Cullen

My acaddoc.lsp.....

 

(defun C:LL()(command "Dim"  "Lea"))
(defun C:VE()(command "DIM"  "ver"))
(defun C:HO()(command "DIM"  "hor"))
(defun C:AL()(command "DIM"  "ALIGNED"))
(defun C:AN()(command "DIM"  "ang"))
(defun C:DA()(command "DIM"  "dia"))
(defun C:OR()(command "DIM"  "ord"))
(defun C:RD()(command "DIM"  "rad"))
(defun C:RO()(command "DIM"  "rot"))
(defun C:AA()(command "AREA"  "O"))
(setq ocmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
(command "undefine" "end")
(setq scale (getvar "ltscale"))
(setq scale (rtos scale))
(setq units "metres")
(grtext -1 (strcat " Dwg Scale  1:"scale" "units" "))
(load "C:/AKCLISP/coffset")
(load "C:/AKCLISP/sqoff")
(load "C:/ACADLISP/MCR.LSP")
(load "C:/AKCLISP/show.LSP")
(load "C:/ACADLISP/chtext.LSP")
(load "C:/AKCLISP/brgdist.LSP")
(load "C:/AKCLISP/layoff.LSP")
(load "C:/AKCLISP/txted.LSP")
(setvar "cmdecho" ocmd)
(setvar "lunits" 2)
(setvar "luprec" 3)
(setvar "aunits" 1)
(setvar "auprec" 4)
(setvar "angbase" 1.570796326795)
(setvar "angdir" 1)
(setvar "pdmode" 3)
(setvar "pdsize" 0.5)
(setvar "dimassoc" 0)
(if (= (tblsearch "style" "ISO") nil) (command "STYLE" "ISO" "ISO" 0 1 20 "n" "n" "n"))
(if (= (tblsearch "style" "I") nil)   (command "STYLE" "I"   "iso3098b" 0 1 0  "n" "n" "n"))
(setvar "TEXTSTYLE" "I")

 

My additions to acad.pgp....

 

A,      *ARC
AR,     *ARRAY
B,      *BREAK
BDY,    *BOUNDARY
BL,   *BLOCK
C,      *CHANGE
CH,     *CHAMFER
CI,     *CIRCLE
CO,     *COLOR
CP,     *COPY
D,      *DTEXT
DE,     *DDEDIT
DM,     *MTEXT
DO,     *DONUT
DR,     *DRAWORDER
DS,     *DIMSCALE
DV,     *DIVIDE
DX,     *DXFIN
DXO,   *DXFOUT
E,      *ERASE
EE,     *END
EL,     *ELLIPSE
EP,     *EXPLODE
EX,     *EXTEND
F,      *FILLET
FI,     *FILTER
H,      *HATCH
HA,     *BHATCH
I,      *-INSERT
IB,   *DDINSERT
L,      *LINE
LC,     *DDLMODES
LE,     *LENGTHEN
LI,     *LIST
LN,     *LINETYPE
LS,     *LTSCALE
LT,     *LIMITS
M,      *MOVE
ME,     *MEASURE
MI,     *MIRROR
ML,     *MLINE
MLE,    *MLEDIT
MS,     *MSPACE
N,      *OPEN
O,      *OFFSET
OO,     *OSNAP
P,      *PEDIT
P3,     *3DPOLY
PG,     *POLYGON
PL,     *PLINE
PP,     *PAN
PR,     *PROPERTIES
PS,     *PSPACE
PT,     *POINT
PU,     *PURGE
QS,     *QSELECT
R,      *ROTATE
RE,     *REDRAW
RG,     *RECTANG
RN,     *REGEN
S,      *STRETCH
SC,     *SCALE
SO,     *SOLID
SP,     *SPELL
SS,     *STRETCH
ST,     *STYLE
T,      *TRIM
TX,   *TEXTSCR
V,      *VMAX
W,      *WBLOCK
Z,      *ZOOM

 

I also have all my function keys assigned to various osnap modes. My acad drawing is basic and uncluttered...just the things I use a lot. I work with my right hand on the mouse and my left hand on the keyboard......it suits me and it's FAST. My mouse wheel is pan & zoom (in/out), left button = PICK, right button = ENTER.

 

crap1.jpg

Share this post


Link to post
Share on other sites
erona

I hate to cut & paste my PGP file. Below are the only ones I can remember.

 

PGP:

 

dd = distance

cr = ai_molc (make selected object's layer current)

q = qnew

sa = saveas

ref = refedit

ae = attedit

mcr = mocoro

ma = matchprop

 

LISP:

0 = set to Layer 0

1 = set selected object's color to 1

2 = set selected object's color to 2, and so on... up to 255

/ = set current to layer to 0

* = set current to color to ByLayer

- = set current to linetype to ByLayer

-- = set to hidden linetype

-*- = set to center linetype

** = set to dot linetype

*1 = set current color to 1

*2 = set current color to 2, and so on...

-1 = set current linetype to hidden

-2 = set current linetype to center

-3 = set current linetype to phantom, and so on...

gw = global polyline width

ll = linetype scale

pj = polyline join

` = set object's color to ByLayer

`` = set object's linetype to ByLayer

romans = set current text style to Standard (romans.shx, 0.8 width factor)

arial = set current text style to Arial (Arial.ttf, 1.0 width factor)

Share this post


Link to post
Share on other sites
scubadoo

reading this makes me realise how little i know about the 2% of CAD that i know how to use!

Share this post


Link to post
Share on other sites
Designer

Here are mine:

 

3P,         *3DPOLY
A,          *ARC
AA,         *AREA
AD,         *ATTDISP
AE,         *ATTEDIT
AR,         *ARRAY
-AR,        *-ARRAY
AT,         *ATTDEF
-AT,        *-ATTDEF
ATE,        *ATTEDIT
-ATE,       *-ATTEDIT
ATT,        *ATTDEF
-ATT,       *-ATTDEF
ATTE,       *-ATTEDIT
AV,         *DSVIEWER
AX,         *ATTEXT
BL,         *BLOCK
-B,         *-BLOCK
BA,         *BASE
BH,         *BHATCH
BM,         *BLIPMODE
BO,         *BOUNDARY
-BO,        *-BOUNDARY
B,          *BREAK
CR,         *CIRCLE
CE,         *ADCENTER
-CH,        *PROPERTIES
CH,         *CHANGE
CHA,        *CHAMFER
CP,         *COPYLINK
C,          *COPY
CL,         *COLOR
COLOUR,     *COLOR
DS,         *DIMSTYLE
D1,         *DIM1
DAD,        *ATTDEF
DAL,        *DIMALIGNED
DAN,        *DIMANGULAR
DBA,        *DIMBASELINE
DC,         *ADCENTER
DCE,        *DIMCENTER
DCENTER,    *ADCENTER
DCO,        *DIMCONTINUE
DDA,        *DIMDISASSOCIATE
DDI,        *DIMDIAMETER
DED,        *DIMEDIT
DI,         *DIST
DIV,        *DIVIDE
DL,         *DLINE
DLI,        *DIMLINEAR
DM,         *DIMSTYLE
DO,         *OPEN
DN,         *DONUT
DOR,        *DIMORDINATE
DOV,        *DIMOVERRIDE
DR,         *DRAWORDER
DRA,        *DIMRADIUS
DRE,        *DIMREASSOCIATE
DS,         *DSETTINGS
DST,        *DIMSTYLE
D,          *TEXT
DV,         *DVIEW
DX,         *SAVEAS
E,          *ERASE
DD,         *DDEDIT
EL,         *ELLIPSE
ES,         *EXTEND
EX,         *EXPLODE
EXIT,       *QUIT
EXP,        *EXPORT
F,          *FILLET
G,          *PKFSTGROUP
-G,         *-PKFSTGROUP
GR,         *OPTIONS
GROUP,      *PKFSTGROUP
-GROUP,     *-PKFSTGROUP
H,          *HATCH
-H,         *BHATCH
HE,         *HATCHEDIT
HI,         *HIDE
I,          *-INSERT
-I,         *INSERT
IM,         *IMAGE
-IM,        *-IMAGE
IMP,        *IMPORT
IN,         *INTERSECT
IO,         *INSERTOBJ
IS,         *ISOPLANE
L,          *LINE
LA,         *LAYER
-LA,        *-LAYER
LE,         *QLEADER
LEN,        *LENGTHEN
LI,         *LIST
LINEWEIGHT, *LWEIGHT
LM,         *LIMITS
LO,         *-LAYOUT
LS,         *LIST
LT,         *LINETYPE
-LT,        *-LINETYPE
LTYPE,      *LINETYPE
-LTYPE,     *-LINETYPE
LTS,        *LTSCALE
LW,         *LWEIGHT
M,          *MOVE
MA,         *MATCHPROP
ME,         *MEASURE
MI,         *MIRROR
MO,         *PROPERTIES
MR,         *MREDO
MS,         *MSPACE
MT,         *MTEXT
-MT,        *-MTEXT
MV,         *MVIEW
N,          *NEW
O,          *OFFSET
OF,         *OFFSET
OO,         *OOPS
OP,         *OPTIONS
OR,         *ORTHO
OS,         *OSNAP
-OS,        *-OSNAP
P,          *PAN
-P,         *-PAN
PA,         *PASTESPEC
PE,         *PEDIT
PL,         *PLINE
PO,         *POINT
POL,        *POLYGON
PP,         *PLOT
PR,         *PROPERTIES
PRCLOSE,    *PROPERTIESCLOSE
PROPS,      *PROPERTIES
PRE,        *PREVIEW
PRINT,      *PLOT
PS,         *PSPACE
PT,         *POINT
PTW,        *PUBLISHTOWEB
PU,         *PURGE
-PU,        *-PURGE
QT,         *QTEXT
R,          *REDRAW
RC,         *REVCLOUD
RD,         *REVDATE
RE,         *REGEN
REA,        *REGENALL
REC,        *RECTANG
REG,        *REGION
REN,        *RENAME
-REN,       *-RENAME
REV,        *REVDATE
RI,         *REINIT
RT,         *ROTATE
S,          *STRETCH
SA,         *SAVE
SC,         *SCALE
SCR,        *SCRIPT
SE,         *DSETTINGS
SET,        *SETVAR
SH,         *SHADEMODE
SN,         *SNAP
SO,         *SOLID
SP,         *SPELL
SPL,        *SPLINE
SPE,        *SPLINEDIT
ST,         *STYLE
SU,         *SUBTRACT
TE,          *MTEXT
-T,         *-MTEXT
TA,         *TABLET
TH,         *THICKNESS
TI,         *TILEMODE
TM,         *TILEMODE
TO,         *TOOLBAR
TOL,        *TOLERANCE
TP,         *TOOLPALETTES
T,          *TRIM
TX,         *TEXT
UC,         *UCSMAN
UN,         *UNITS
-UN,        *-UNITS
UNI,        *UNION
V,          *VIEW
-V,         *-VIEW
VL,         *VPLAYER
VP,         *DDVPOINT
-VP,        *VPOINT
VS,         *VSLIDE
W,          *WBLOCK
-W,         *-WBLOCK
WI,         *WMFIN
WO,         *WMFOUT
X,          *EXPLODE
XA,         *XATTACH
XB,         *XBIND
-XB,        *-XBIND
XL,         *XLINE
XR,         *XREF
-XR,        *-XREF
Z,          *ZOOM

Share this post


Link to post
Share on other sites
ReMark

All my piping & instrumentation symbols, pipe labels, sizes and layer setting commands are mapped to my digitizer. One pick is all it takes. That's 225 custom commands.

 

My 16 button puck is also custom programmed.

Share this post


Link to post
Share on other sites
dbroada

Mine is mostly out of the box. I have

 

C = copy

ci = circle

d = dtext

 

and a button to print with default settings

 

I am a command line person so only have a couple of toolbars showing - mostly for our "special" routines such as export all text off one layer and our revison cloud routine. In general I don't use that many commands anyway. I double click a lot though.

Share this post


Link to post
Share on other sites
Tiger

me like this topic - I have real trouble helping my co-workers on their computors, they are mostly button-people wheras I have grown fond of short commands. The only real change I have made is D for DIST anc C for COPY. And more recently MVS for M View Setup.

 

But just so you know, I will steal some of the lists posted here and apply them to my ACAD! :-)

Share this post


Link to post
Share on other sites
rkmcswain

PGP file is right out of the box, we use "acaddoc.lsp" to define any overrides to that.

 

"acad.lsp" is used to set support file search paths, PC3 path, CTB path, load company menu, etc.

 

This way if somebody monkeys with something, a restart of AutoCAD fixes it.

Share this post


Link to post
Share on other sites
rkmcswain

(load "C:/AKCLISP/coffset")

(load "C:/AKCLISP/sqoff")

(load "C:/ACADLISP/MCR.LSP")

(load "C:/AKCLISP/show.LSP")

(load "C:/ACADLISP/chtext.LSP")

(load "C:/AKCLISP/brgdist.LSP")

(load "C:/AKCLISP/layoff.LSP")

(load "C:/AKCLISP/txted.LSP")

 

Alan, you may already know this..... just thought I would post this for the benefit of others.

 

...if you add one line like this:

(setq mypath "C:\\AKCLISP\\")

 

...then revise your (load) statements to something like this:

 

(load (strcat mypath "txted.lsp"))

 

...then your "acaddoc.lsp" file is portable as long as you change the "mypath" line.

 

Another option of course is just to add "C:\\AKCLISP" to your support file search path.

 

Another alternative instead of the (load) statement is to use (autoload).

 

(autoload "txted" '("txted"))

 

...which doesn't actually load the lisp file until the function is called. If you never call the function, the file is never loaded.

Share this post


Link to post
Share on other sites
eldon

I see - so you want to find out the "weirdos" among the forum.:shock:

 

I am sorry to disappoint, but having been mad keen with r10, and changed just about everything in the pgp file, I realised that I would be having to redo all the changes with each update. So I made the effort to learn the AutoCAD default command abbreviations, so I can use any version unless some weirdos have been at it!

 

I have Osnaps on the "F" keys which again is a bit easier now with the Accelerator keys, instead of having to delve into ANSI.SYS.

 

I have three pet lisp shorties which I seem to use frquently - SCL (set current layer), CTCL (change to currrent layer) and CHOL (change object layer).

 

The less the mouse has to travel, the quicker it is to draw. So keyboard entry for commands means that the crosshairs stay where the action is, instead of having to race around finding and then picking buttons.

Share this post


Link to post
Share on other sites
Seann

I have noticed however that the newer the version of autocad you learn on the more buttons and menu's the drafter uses. I use about 50/50 but the younger drafters clutter their screens with buttons while the old farts have a 19" monitor and 18.75" of drafting space.

untitled.jpg

Share this post


Link to post
Share on other sites
dbroada
I have noticed however that the newer the version of autocad you learn on the more buttons and menu's the drafter uses. I use about 50/50 but the younger drafters clutter their screens with buttons while the old farts have a 19" monitor and 18.75" of drafting space.
YEP, I have one row of buttons an no command line, the boss has no buttons and a 2 line command line showing. Everybody else has a postage stamp screen and takes forever to get to a simple command.

 

When we upgraded to 2006 we had a trainer in (not sure he knew any more than us) and it was fun beating him to do the commands, him navigating numerous levels of menu and us just typing the command.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×